Bug 29966 - SCO Help page passes flags while not needing authentication
Summary: SCO Help page passes flags while not needing authentication
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-28 09:58 UTC by Marcel de Rooy
Modified: 2022-02-24 23:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03,21.05.11


Attachments
Bug 29966: Dont pass authnotrequired true and flags together (854 bytes, patch)
2022-01-28 10:01 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29966: Dont pass authnotrequired true and flags together (879 bytes, patch)
2022-02-08 15:59 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2022-01-28 09:58:32 UTC
Help page passes this to get_template_and_user:

        authnotrequired => 1,
        flagsrequired   => { self_check => "self_checkout_module" },

Which makes no sense.
Comment 1 Marcel de Rooy 2022-01-28 10:01:44 UTC
Created attachment 129921 [details] [review]
Bug 29966: Dont pass authnotrequired true and flags together

Test plan:
Logout in OPAC.
Goto sco help page.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2022-01-28 10:02:08 UTC
Super trivial: self SO.
Comment 3 Martin Renvoize 2022-02-08 15:59:20 UTC
Created attachment 130305 [details] [review]
Bug 29966: Dont pass authnotrequired true and flags together

Test plan:
Logout in OPAC.
Goto sco help page.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-02-08 15:59:38 UTC
Trivial patch, no breakage, Passing QA
Comment 5 Fridolin Somers 2022-02-10 08:03:30 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-02-11 12:00:07 UTC
Pushed to 21.11.x for 21.11.03
Comment 7 Andrew Fuerste-Henry 2022-02-21 16:51:46 UTC
Pushed to 21.05.x for 21.05.11
Comment 8 Victor Grousset/tuxayo 2022-02-24 23:38:26 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.